import logging

#width
ScreenX = 48
#height
ScreenY = 40

Serial = "/dev/ttyACM0"

# kills app after some seconds if it sends no data
NoDataTimeout = 40

LogLevel = logging.DEBUG

UseGui = True
GuiScaleFactor = 20

WebHost = "localhost"
WebPort = 8000

# first app is always running in IDLE
Apps = [
    {"guiname": "IDLE", "name": "pixelflut", "cmd": "apps/idle.py", "persistent": False},
    {"guiname": "IDLE2", "name": "idlec", "cmd": "apps/idle2"},
    {"guiname": "YoutubeDL", "name": "youtubedl", "cmd": "apps/youtubedl.sh"},
    {"guiname": "Snake", "name": "snake", "cmd": "apps/snake.py"},
    {"guiname": "Tetris", "name": "tetris", "cmd": "apps/deckentetris/deckentetris.py"}
    {"guiname": "Strobo", "name": "strobo", "cmd": "apps/strobo.py"},
    {"name": "pong", "cmd": "apps/pong.py"},
    {"name": "framebuffer", "cmd": ["apps/fbcp", "/dev/fb0"]},
]
